Read a vessel's official sea-service calendar
curl --request GET \
--url https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"vessel_id": "<string>",
"entries": [
{
"ais_day_type": "Sea",
"conflict": false,
"date": "2026-04-01",
"day_type": "Sea",
"notes": "",
"source": "ais"
}
],
"ais_hints": [
{
"date": "<string>",
"effective_state": "<string>",
"ais_day_type": "<string>"
}
],
"crew": [
{
"name": "<string>",
"sign_on": "<string>",
"watchkeeping": true,
"sign_off": "<string>",
"watchkeeping_start_date": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}calendar
Read a vessel's official sea-service calendar
GET
/
v1
/
me
/
vessels
/
{vessel_id}
/
calendar
Read a vessel's official sea-service calendar
curl --request GET \
--url https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.digitalseaservice.com/v1/me/vessels/{vessel_id}/calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"vessel_id": "<string>",
"entries": [
{
"ais_day_type": "Sea",
"conflict": false,
"date": "2026-04-01",
"day_type": "Sea",
"notes": "",
"source": "ais"
}
],
"ais_hints": [
{
"date": "<string>",
"effective_state": "<string>",
"ais_day_type": "<string>"
}
],
"crew": [
{
"name": "<string>",
"sign_on": "<string>",
"watchkeeping": true,
"sign_off": "<string>",
"watchkeeping_start_date": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
oauth2bearerAuth
OAuth 2.0 Authorization Code flow with PKCE. See the integration guide at docs.digitalseaservice.com for the full step-by-step.
Path Parameters
Query Parameters
Range start, YYYY-MM-DD.
Range end, YYYY-MM-DD. Max 400 days.

